package com.ruoyi.business.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.business.domain.req.TeamInfoQueryReq;
import com.ruoyi.business.domain.req.TeamInfoSaveReq;
import com.ruoyi.business.domain.req.TeamInfoEditReq;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 小组对象 team_info
 *
 * @author ruoyi
 * @date 2024-04-23
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("team_info")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "TeamInfo", description = "小组")
public class TeamInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 小组ID */
    @Excel(name = "小组ID")
    @TableId(value = "team_id",type = IdType.AUTO)
    @ApiModelProperty(name = "小组ID", value = "小组ID")
    private Long teamId;

    /** 小组名称 */
    @Excel(name = "小组名称")
    @ApiModelProperty(name = "小组名称", value = "小组名称")
    private String teamName;

    /** 状态 */
    @Excel(name = "状态")
    @ApiModelProperty(name = "状态", value = "状态")
    private String status;

    /** 班级 */
    @ApiModelProperty(name = "班级", value = "班级")
    private Long clazzId;

    /** 班级名称 */
    @Excel(name = "班级")
    @TableField(exist = false)
    private String clazzName;

    /**
    * 查询构造器
    */
    public static TeamInfo queryBuild( TeamInfoQueryReq teamInfoQueryReq){
        return TeamInfo.builder()
                .teamName(teamInfoQueryReq.getTeamName())
                .build();
    }

    /**
    * 添加构造器
    */
    public static TeamInfo saveBuild(TeamInfoSaveReq teamInfoSaveReq){
        return TeamInfo.builder()
                .teamName(teamInfoSaveReq.getTeamName())
                .status(teamInfoSaveReq.getStatus())
                .clazzId(teamInfoSaveReq.getClazzId())
                .build();
    }

    /**
    * 修改构造器
    */
    public static TeamInfo editBuild(Long teamId, TeamInfoEditReq teamInfoEditReq){
        return TeamInfo.builder()
            .teamId(teamId)
                .teamName(teamInfoEditReq.getTeamName())
                .status(teamInfoEditReq.getStatus())
                .clazzId(teamInfoEditReq.getClazzId())
                .build();
    }

}
