package com.ruoyi.business.service.impl;

import java.util.List;

import com.ruoyi.common.utils.ObjUtils;
import com.ruoyi.common.utils.StringUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.*;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.TeamInfoMapper;
import com.ruoyi.business.domain.TeamInfo;
import com.ruoyi.business.service.TeamInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

/**
 * 小组Service业务层处理
 *
 * @author ruoyi
 * @date 2024-04-23
 */
@Slf4j
@Service
public class TeamInfoServiceImpl extends ServiceImpl<TeamInfoMapper, TeamInfo>  implements TeamInfoService {

    @Autowired
    private TeamInfoMapper teamInfoMapper;

    /**
     * 查询小组列表
     *
     * @param teamInfo 小组
     * @return 小组
     */
    @Override
    public List<TeamInfo> list(TeamInfo teamInfo) {
        LambdaQueryWrapper<TeamInfo> queryWrapper = new LambdaQueryWrapper<>();

        if (ObjUtils.notNull(teamInfo.getTeamName())){
            queryWrapper.like(TeamInfo::getTeamName, teamInfo.getTeamName());
        }

        return teamInfoMapper.selectTeamList(queryWrapper);
    }
}
